package org.tio.sitexxx.service.service.jpush.huawei.response;

import com.alibaba.fastjson.JSONArray;

/**
 * <pre>
 *    @author : vagrancy
 *    e-mail : 18050829067@163.com
 *    time   : 2025-02-21 10:58
 *    desc   :
 * </pre>
 */
public class TopicListResponse extends SendResponse {
    private final JSONArray topics;

    public JSONArray getTopics() {
        return topics;
    }

    private TopicListResponse(String code, String msg, String requestId, JSONArray topics) {
        super(code, msg, requestId);
        this.topics = topics;
    }

    public static TopicListResponse fromCode(String code, String msg, String requestId, JSONArray topics) {
        return new TopicListResponse(code, msg, requestId, topics);
    }
}
